using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings.Workflow
{
 public enum Kartenarten
 {
  Visa, Master, Diners

 }

 [Serializable()]
 public class ZahlungsDaten : System.Workflow.Activities.ExternalDataEventArgs
 {


  public ZahlungsDaten(Guid instanceID)
   : base(instanceID)
  {
  }

  private long _KreditkartenNummer;

  public long KreditkartenNummer
  {
   get { return _KreditkartenNummer; }
   set { _KreditkartenNummer = value; }
  }

  private Kartenarten _Kartenart;

  public Kartenarten Kartenart
  {
   get { return _Kartenart; }
   set { _Kartenart = value; }
  }

  private DateTime _GueltigBis;

  public DateTime GueltigBis
  {
   get { return _GueltigBis; }
   set { _GueltigBis = value; }
  }



 }
}
